Bug 970142 - [abrt] terminator-0.97-1.fc18: notebook.py:310:closetab:AttributeError: 'int' object has no attribute 'run'
[abrt] terminator-0.97-1.fc18: notebook.py:310:closetab:AttributeError: 'int'...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: terminator (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
abrt_hash:6f6c291aa5c6a6f69fed100f94d...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 10:26 EDT by Pavel Studeník
Modified: 2015-06-29 08:11 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (780 bytes, text/plain)
2013-06-03 10:26 EDT, Pavel Studeník
no flags Details
File: environ (1.87 KB, text/plain)
2013-06-03 10:26 EDT, Pavel Studeník
no flags Details

  None (edit)
Description Pavel Studeník 2013-06-03 10:26:36 EDT
Description of problem:
I closed tab with two windows.

Version-Release number of selected component:
terminator-0.97-1.fc18

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/bin/terminator
core_backtrace: 6298f4d4351bdbcc63e72beae52ee9d9c66bb50b 0x136 closetab /usr/lib/python2.7/site-packages/terminatorlib/notebook.py -
executable:     /usr/bin/terminator
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
notebook.py:310:closetab:AttributeError: 'int' object has no attribute 'run'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/terminatorlib/notebook.py", line 310, in closetab
    result = dialog.run()
AttributeError: 'int' object has no attribute 'run'

Local variables in innermost frame:
widget: <TabLabel object at 0x12d3af0 (terminatorlib+notebook+TabLabel at 0x1ca3c50)>
i: 5
nb: <Notebook object at 0x129f4b0 (GtkNotebook at 0x1308280)>
label: <TabLabel object at 0x12d3af0 (terminatorlib+notebook+TabLabel at 0x1ca3c50)>
self: <Notebook object at 0x129f4b0 (GtkNotebook at 0x1308280)>
dialog: -3
child: <VPaned object at 0x12cb050 (terminatorlib+paned+VPaned at 0x972420)>
tabnum: 5
maker: <terminatorlib.factory.Factory instance at 0x12c2cb0>
Comment 1 Pavel Studeník 2013-06-03 10:26:40 EDT
Created attachment 756334 [details]
File: backtrace
Comment 2 Pavel Studeník 2013-06-03 10:26:43 EDT
Created attachment 756335 [details]
File: environ
Comment 3 Fedora End Of Life 2013-12-21 10:32:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Christian Berendt 2014-01-16 07:26:07 EST
Just had this issue on Fedora 20 with latest updates applied.

affected version: terminator-0.97-4.fc20.noarch
Comment 5 Christian Berendt 2014-01-16 07:31:17 EST
Filed a report for the upstream: https://bugs.launchpad.net/terminator/+bug/1269787.
Comment 6 Christian Berendt 2014-01-17 03:06:15 EST
A fix for this issue is proposed to be merged on the upstream. It's included here: https://code.launchpad.net/~stephen-j-boddy/terminator/feature-remember-focus/+merge/199654
Comment 7 Fedora End Of Life 2014-02-05 18:10:45 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 8 Stanislav Graf 2014-02-20 08:52:02 EST
Happened to me on Fedora 20. Reopening BZ.
terminator-0.97-4.fc20.noarch
Comment 9 adam2 2014-06-05 12:48:28 EDT
Another user experienced a similar problem:

Tried to close one the second tab, which contained two terminals that were connected to dead ssh sessions.

reporter:       libreport-2.2.1
cmdline:        /usr/bin/python /usr/bin/terminator
executable:     /usr/bin/terminator
kernel:         3.13.10-200.fc20.x86_64
package:        terminator-0.97-4.fc20
reason:         notebook.py:310:closetab:AttributeError: 'int' object has no attribute 'run'
runlevel:       N 5
type:           Python
uid:            1000
Comment 10 Reilly Hall 2014-06-24 12:42:44 EDT
Another user experienced a similar problem:

I tried to close some open panels by clicking the X for that tab.  It just ignored the request and threw this error up.

reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/bin/terminator
executable:     /usr/bin/terminator
kernel:         3.14.8-200.fc20.x86_64
package:        terminator-0.97-4.fc20
reason:         notebook.py:310:closetab:AttributeError: 'int' object has no attribute 'run'
runlevel:       N 5
type:           Python
uid:            1000
Comment 11 autarch princeps 2014-07-01 03:54:27 EDT
Another user experienced a similar problem:

Unsuccessfully tried to force closed a tab.

reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/bin/terminator
event_log:      2014-07-01-09:53:30> (»report_uReport« erfolgreich abgeschlossen)
executable:     /usr/bin/terminator
kernel:         3.14.9-200.fc20.x86_64
package:        terminator-0.97-4.fc20
reason:         notebook.py:310:closetab:AttributeError: 'int' object has no attribute 'run'
runlevel:       N 5
type:           Python
uid:            1000
Comment 12 Fedora End Of Life 2015-05-29 05:05:39 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-06-29 07:59:02 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Pavel Studeník 2015-06-29 08:11:53 EDT
Still the problem wasn't  fixed on newer release of fedora. Fedora 22 bug 1215983.

Note You need to log in before you can comment on or make changes to this bug.